Bug 467627 - Review Request: fsniper - A tool that monitors directories for new files and invokes scripts on them
Review Request: fsniper - A tool that monitors directories for new files and ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-19 12:35 EDT by Jakub Hrozek
Modified: 2009-01-18 17:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-18 17:04:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2008-10-19 12:35:25 EDT
Spec URL: http://jhrozek.fedorapeople.org/fsniper.spec
SRPM URL: http://jhrozek.fedorapeople.org/fsniper-1.3.1-1.fc8.src.rpm
Description: 
fsniper is a tool that monitors a given set of directories for new
files. Then, based on the new file's type or name, it invokes a script to
be run (any executable via the shell) on that file.  Common uses include
making a single drop directory for all things from a webbrowser etc, and
having semi-intelligent scripts figure out what to do with those files. You
write the scripts yourself.
Comment 1 David Kaylor 2008-10-20 20:54:44 EDT
I am not in the packager group and unable to approve packages but will do a review for this package.

For starters, this package built and installed fine on Fedora 9 x86_64.  Here is the output for rpmlint:

fsniper.x86_64: W: non-standard-uid /var/lib/fsniper fsniper
fsniper.x86_64: W: non-standard-gid /var/lib/fsniper fsniper
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


I think this makes sense since fsniper is to be run as a daemon and will post more feedback tonight after going through the guidelines more thoroughly.
Comment 2 David Kaylor 2008-10-20 22:11:38 EDT
This packages is in good shape.  After checking against the guidelines and doing another compile with mock, I found just a couple of minor things:

Exiting with 0 at the end of the %pre script is preferable to failing (http://fedoraproject.org/wiki/Packaging/UsersAndGroups).

Patches should have a link to an upstream bug or a comment (http://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment).
Comment 3 Jakub Hrozek 2008-10-22 15:22:05 EDT
Thanks; updated packages:

Spec URL: http://jhrozek.fedorapeople.org/fsniper.spec
SRPM URL: http://jhrozek.fedorapeople.org/fsniper-1.3.1-2.fc8.src.rpm
Comment 4 manuel wolfshant 2009-01-03 13:37:16 EST
It looks like the patch included in the srpm is neither the one that you have submitted to http://bugs.l3ib.org/index.php?do=details&task_id=21, nor the one approved by  Andrew Yates (andrewy). You use 077 in the bundled patch, suggest 177 and Andrew uses 0177.

I suggest to create a new src.rpm with http://code.l3ib.org/?p=fsniper.git;a=blobdiff;f=src/main.c;h=cd49dffebe4b4c728b62c28c1381c4fb6f5ad87d;hp=03a8d701d6f9802ba346b591429e58741ca53479;hb=82cb0b46c48485fd4f6231ce3169c7be87d1ea07;hpb=2bbeb5d6e6b55bb9692c043fcdbeab15d9723c9e as patch
Comment 5 Jakub Hrozek 2009-01-04 16:44:23 EST
(In reply to comment #4)
> It looks like the patch included in the srpm is neither the one that you have
> submitted to http://bugs.l3ib.org/index.php?do=details&task_id=21, nor the one
> approved by  Andrew Yates (andrewy). You use 077 in the bundled patch, suggest
> 177 and Andrew uses 0177.
> 
> I suggest to create a new src.rpm with
> http://code.l3ib.org/?p=fsniper.git;a=blobdiff;f=src/main.c;h=cd49dffebe4b4c728b62c28c1381c4fb6f5ad87d;hp=03a8d701d6f9802ba346b591429e58741ca53479;hb=82cb0b46c48485fd4f6231ce3169c7be87d1ea07;hpb=2bbeb5d6e6b55bb9692c043fcdbeab15d9723c9e
> as patch


Yep, you're right, thanks for the sharp eye. I'll fix the srpm, as soon as I get some free time..hopefully this week.
Comment 7 manuel wolfshant 2009-01-12 04:48:55 EST
sorry for the spurious assignments, I have not noticed that David is not in the packager group.
I'll try to do  a review myself later today, if I have the time.
Comment 8 manuel wolfshant 2009-01-12 10:56:47 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:
fsniper.x86_64: W: non-standard-uid /var/lib/fsniper fsniper
fsniper.x86_64: W: non-standard-gid /var/lib/fsniper fsniper
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
=> acceptable, the daemon needs it's own user
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv3+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 7f4587d83e8c1bbfb142c645f5d40a4bee50bdb7 fsniper-1.3.1.tar.gz
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build (http://koji.fedoraproject.org/koji/taskinfo?taskID=1047004)
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.
 [x] %check is present and the test passes.


=== Issues ===
1. Nice to have: upstart style initscript


================
*** APPROVED ***
================

David, thank you for pre-review.
Comment 9 Jakub Hrozek 2009-01-12 11:30:26 EST
David, Manuel, thank you both for the review.

Manuel, is there any documentation on the upstart-style initscripts? A quick search of fedora wiki for the word "upstart" didn't reveal much..
Comment 10 Jakub Hrozek 2009-01-12 11:34:18 EST
New Package CVS Request
=======================
Package Name: fsniper 
Short Description: A tool that monitors directories for new files and invokes scripts on them
Owners: jhrozek
Branches: F-10 F-9
InitialCC: none
Comment 11 manuel wolfshant 2009-01-12 11:42:42 EST
https://fedoraproject.org/wiki/Packaging/SysVInitScript
Comment 12 Kevin Fenzi 2009-01-13 16:14:04 EST
cvs done.
Comment 13 Jakub Hrozek 2009-01-18 17:04:39 EST
Built for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1064686

Other branches will follow accordingly.

Note You need to log in before you can comment on or make changes to this bug.